"use strict";
/*
 * Copyright 2019 Amazon.com, Inc. or its affiliates.
 * Licensed under the Apache License, Version 2.0 (the
 * "License"); you may not use this file except in compliance
 * with the License.  You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.MetricValues = void 0;
const StorageResolution_1 = require("./StorageResolution");
class MetricValues {
    constructor(value, unit, storageResolution) {
        this.values = [value];
        this.unit = unit || 'None';
        this.storageResolution = storageResolution || StorageResolution_1.StorageResolution.Standard;
    }
    /**
     * Appends the provided value to the current metric
     * @param value
     */
    addValue(value) {
        this.values.push(value);
    }
}
exports.MetricValues = MetricValues;
